function init(hero) {

    hero.setName("Ghost Rider");

    hero.setVersion("Custom");

    hero.setTier(4);

    

    hero.setHelmet("Mask");

    hero.setChestplate("Chestplate");

    hero.setLeggings("Leggings");

    hero.setBoots("Pants");

    

    hero.addAbilities("fiskheroes:pyrokinesis", "fiskheroes:leaping", "fiskheroes:fire_immunity");

    hero.addWeaknesses("fiskheroes:cold");

    hero.addAttribute("PUNCH_DAMAGE", 8, 0);

    hero.addAttribute("ATTACK_DAMAGE", 1.8, 0);

    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);

    hero.addAttribute("FALL_RESISTANCE", 10.0, 0);

    hero.addAttribute("SPRINT_SPEED", 0.1, 0);

    hero.addAttribute("STEP_HEIGHT", 1, 0);


    

    hero.addKeyBind("AIM", "key.shoot", 1);

    

    hero.setHasProperty(hasProperty);

    hero.setOnToggleMask(onToggleMask);

    hero.supplyFunction("canAim", canAim);

}



function hasProperty(entity, property) {

    return property == "MASK_TOGGLE";

}



function onToggleMask(entity, state) {

    if (state) {

        entity.playSound("fiskheroes:random.fire.off", 1.0, 1.0);

    }

    else {

        entity.playSound("fiskheroes:random.fire.on", 1.0, 1.0);

    }

}



function canAim(entity) {

    return entity.getHeldItem().isEmpty();

}

